package cz.frantovo.nekurak.ext;

import cz.frantovo.nekurak.vyjimky.TexyVyjimka;
import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.OutputStreamWriter;
import java.net.URL;
import java.net.URLConnection;
import java.net.URLEncoder;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 * Neprovádí vlastní interpretaci Texy syntaxe, ale volá HTTP službu napsanou v PHP.
 * TODO: použít webové služby, nebo něco lepšího než ruční práci s URL.
 * @author fiki
 */
public class Texy {

	/** TODO: parametrizovatelnost */
	private static final String URL_SLUZBY = "http://nekurak.net/texy/http/";
	private static final String KODOVANI = "UTF-8";
	private static final Logger log = Logger.getLogger(Texy.class.getSimpleName());

	public String preved(String text) throws TexyVyjimka {
		OutputStreamWriter wr = null;
		BufferedReader rd = null;
		try {
			URL url = new URL(URL_SLUZBY);
			URLConnection spojeni = url.openConnection();
			spojeni.setDoOutput(true);

			/** Odešleme data */
			wr = new OutputStreamWriter(spojeni.getOutputStream());
			wr.write(URLEncoder.encode(text, KODOVANI));
			wr.flush();

			/** Přijmeme odpověď */
			rd = new BufferedReader(new InputStreamReader(spojeni.getInputStream(), KODOVANI));
			StringBuilder vysledek = new StringBuilder();
			String radka;
			while ((radka = rd.readLine()) != null) {
				vysledek.append(radka);
			}

			return vysledek.toString();
		} catch (Exception e) {
			throw new TexyVyjimka("Chyba při zpracovávání textu: " + text, e);
		} finally {
			try {
				wr.close();
			} catch (IOException e) {
				log.log(Level.WARNING, "Selhalo zavírání OutputStreamWriteru", e);
			}
			try {
				rd.close();
			} catch (IOException e) {
				log.log(Level.WARNING, "Selhalo zavírání BufferedReaderu", e);
			}
		}
	}
}
