package cz.frantovo.nekurak.ext;

import cz.frantovo.nekurak.vyjimky.TexyVyjimka;
import org.junit.Test;
import static org.junit.Assert.*;

/**
 * Testuje spíš dostupnost vzdálené služby a fungování samotného Texy než implementaci javové části –
 * ta buď funguje, nebo nefunguje → není potřeba testovat moc do podrobna.
 * (testovat by se měla případná parametrizovatelnost – zatím žádná není)
 * @author fiki
 */
public class TexyTest {

	private Texy texy = new Texy();
	private static final int CASOVY_LIMIT = 1000;

	@Test(timeout = CASOVY_LIMIT)
	public void prostyText() throws TexyVyjimka {
		testuj("", "");
		testuj("ahoj", "<p>ahoj</p>");
	}

	@Test(timeout = CASOVY_LIMIT)
	public void nadpisy() throws TexyVyjimka {
		testuj("===Nadpis===", "<h1>Nadpis</h1>");
	}

	private void testuj(String vstup, String pozadovanyVystup) throws TexyVyjimka {
		String vystup = texy.preved(vstup);
		assertEquals(pozadovanyVystup, vystup);
	}
}
