package cz.frantovo.nekurak.servlet;

import cz.frantovo.nekurak.dto.Komentar;
import cz.frantovo.nekurak.ejb.PodnikRemote;
import java.io.IOException;
import javax.ejb.EJB;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 *
 * @author fiki
 */
public class Komentare extends HttpServlet {

	@EJB
	PodnikRemote ejb;

	@Override
	protected void doGet(HttpServletRequest pozadavek, HttpServletResponse odpoved) throws ServletException, IOException {
		doPost(pozadavek, odpoved);
	}

	@Override
	protected void doPost(HttpServletRequest pozadavek, HttpServletResponse odpoved) throws ServletException, IOException {
		/** Načteme HTTP parametry */
		Komentar k = new Komentar();
		k.setPodnik(Integer.decode(pozadavek.getParameter("podnik")));
		k.setNadpis(pozadavek.getParameter("nadpis"));
		k.setKomentar(pozadavek.getParameter("komentar"));
		k.setTyp(Komentar.TYP.valueOf(pozadavek.getParameter("typ")));
		boolean ulozit = Boolean.valueOf(pozadavek.getParameter("odeslat"));

		String jsp;


		try {
			/** Komentář odešleme do nižší vrstvy ke kontrole nebo rovnou k uložení */
			k = ejb.komentuj(k, ulozit);
			pozadavek.setAttribute("komentar", k);

			if (ulozit) {
				jsp = "/WEB-INF/casti/ajaxKomentare/odeslano.jsp";
			} else {
				jsp = "/WEB-INF/casti/ajaxKomentare/nahled.jsp";
			}
		} catch (Exception e) {
			/** Objekty mezi servletem a JSP si můžeme předávat pomocí atributů požadavku */
			pozadavek.setAttribute("chyba", e);
			jsp = "/WEB-INF/casti/ajaxKomentare/chyba.jsp";
		}

		/** O vykreslení XHTML vyýstupu se už zase postará JSP */
		RequestDispatcher rd = getServletContext().getRequestDispatcher(jsp);
		rd.forward(pozadavek, odpoved);
	}
}
