package cz.frantovo.nekurak.web;

import cz.frantovo.nekurak.dto.Podnik;
import cz.frantovo.nekurak.servlet.Fotky;
import cz.frantovo.nekurak.util.Komentare;
import cz.frantovo.nekurak.vyjimky.KomentarovaVyjimka;

/**
 * Knihovna funkcí použitelná v EL
 * @author fiki
 */
public class FunkceEL {

	/** Musí odpovídat cestě, kam je namapovaný servlet. */
	private static final String SERVLET = "fotky";

	public static String fotka(int id, boolean nahled) {
		String prostredek = nahled ? Fotky.PODADRESAR_NAHLED : Fotky.PODADRESAR_ORIGINAL;
		return SERVLET + "/" + prostredek + "/" + id + "." + Fotky.PRIPONA;
	}

	public static boolean maFotky(Podnik p) {
		return !p.getFotky().isEmpty();
	}

	/**
	 * @param komentar komentář včetně kořenové značky, XML jako text
	 * @return true, pokud vyhovuje XML schématu
	 */
	public static boolean zkontrolujKomentar(String komentar) {
		try {
			Komentare.zkontroluj(komentar);
			return true;
		} catch (KomentarovaVyjimka ex) {
			return false;
		}
	}
}
