<?xml version="1.0" encoding="UTF-8"?>
<jsp:root xmlns:jsp="http://java.sun.com/JSP/Page"
		  xmlns:c="http://java.sun.com/jsp/jstl/core"
		  xmlns:fmt="http://java.sun.com/jsp/jstl/fmt"
		  xmlns:fn="http://java.sun.com/jsp/jstl/functions"
		  xmlns:nkfn="/WEB-INF/nekurakFunkce"
		  version="2.0">

	<jsp:directive.attribute name="podnik" type="cz.frantovo.nekurak.dto.Podnik" required="true"/>

	<div class="komentare">
		<h3><fmt:message key="komentare.vypisNadpis"/></h3>

		<!-- Zatím nikdo nekomentoval? -->
		<c:if test="${fn:length(podnik.komentare) == 0}">
			<p><fmt:message key="komentare.zadneKomentare"/></p>
		</c:if>

		<!-- Komentovat! -->
		<c:choose>
			<c:when test="${prihlasenyUzivatel == null}">
				<p><fmt:message key="komentare.prihlasitSe"/></p>
			</c:when>
			<c:otherwise>
				<p id="formularKomentujSkryvac" style="display: none;"><a href="javascript:komentare.zobrazFormular()"><fmt:message key="komentare.komentovat"/></a></p>
				<div id="formularKomentuj">
					<form method="post" action="?akce=odeslatKomentar" onsubmit="javascript:komentare.odeslat(); return false;">
						<fieldset>
							<input type="hidden" name="podnik" maxlength="255" value="${podnik.id}"/>
							<label><fmt:message key="komentare.nadpis"/>: <input type="text" name="nadpis" maxlength="255"/></label>
							<br/>
							<textarea name="komentar" cols="30" rows="10"></textarea>
							<br/>
							<select name="typ">
								<option value="PROSTY_TEXT" selected="selected"><fmt:message key="komentar.typ.prostyText"/></option>
								<option value="XHTML"><fmt:message key="komentar.typ.xhtml"/></option>
								<option value="TEXY"><fmt:message key="komentar.typ.texy"/></option>
							</select>
							<br/>
							<button style="display: none;" id="tlacitkoNahled" onclick="javascript:komentare.nahled(); return false;"><fmt:message key="komentare.tlacitkoNahled"/></button>
							<button value="submit"><fmt:message key="komentare.tlacitkoOdeslat"/></button>
						</fieldset>
					</form>
					<div class="vystup"></div>
					<div class="cistic"/>
				</div>
				<script type="text/javascript">
					$("#formularKomentuj").css("display", "none");
					$("#tlacitkoNahled").css("display", "inline");
					$("#formularKomentujSkryvac").css("display", "block");
				</script>
			</c:otherwise>
		</c:choose>

		<!-- Výpis komentářů -->
		<c:forEach var="k" items="${podnik.komentare}">
			<div class="komentar">
				<h4>
					<fmt:message key="komentare.napsal"/>: <c:out value="${k.uzivatel}" />,
					<fmt:formatDate value="${k.datum}" pattern="dd. MMMM yyyy HH:mm"/>
					<c:if test="${k.nadpis != null &amp;&amp; k.nadpis != ''}">
						<br/>
						<fmt:message key="komentare.nadpis"/>: <c:out value="${k.nadpis}" />
					</c:if>
				</h4>
				<!-- Pozor: předpokládáme, že v DB jsou pouze zkontrolovaná data -->
				<c:out value="${k.komentar}" escapeXml="false" />
			</div>
		</c:forEach>
	</div>

</jsp:root>