<?xml version="1.0" encoding="UTF-8"?>
<jsp:root xmlns:jsp="http://java.sun.com/JSP/Page"
		  xmlns:c="http://java.sun.com/jsp/jstl/core"
		  xmlns:fmt="http://java.sun.com/jsp/jstl/fmt"
		  xmlns:nk="urn:jsptagdir:/WEB-INF/tags/nekurak"
		  version="2.0">
	<jsp:directive.page contentType="application/xhtml+xml"/>

	<!-- <lokalizace> -->
	<c:if test="${param.jazyk != null}">
		<fmt:setLocale value="${param.jazyk}" scope="session"/>
	</c:if>
	<fmt:setBundle basename="cz.frantovo.nekurak.preklady" scope="application"/>
	<!-- </lokalizace> -->

	<!-- <autentizace> -->
	<c:set var="prihlasenyUzivatel" scope="request" value="${pageContext.request.userPrincipal.name}"/>
	<c:if test="${param.akce == 'prihlaseni' &amp;&amp; param.odhlasit == 'ano'}">
		<!--
			Uživatele musíme odhlásit dřív, než vykreslíme nabídku,
			která závisí na tom, zda je uživatel přihlášený nebo ne.
			„prihlaseni.jsp?odhlasit=ano“ už vypíše jen hlášku, že byl odhlášen.
		-->
		<jsp:scriptlet>session.invalidate();</jsp:scriptlet>
		<c:set var="prihlasenyUzivatel" scope="request" value="${null}"/>
	</c:if>
	<!-- </autentizace> -->

	<!-- <výběrStránky> -->
	<c:choose>
		<c:when test="${param.akce == 'detail'}">
			<jsp:include page="/WEB-INF/casti/detail.jsp" flush="false"/>
		</c:when>
		<c:when test="${param.akce == 'pridatPodnik'}">
			<jsp:include page="/WEB-INF/casti/pridatPodnik.jsp" flush="false"/>
		</c:when>
		<c:when test="${param.akce == 'registrovatUzivatele'}">
			<jsp:include page="/WEB-INF/casti/registrovatUzivatele.jsp" flush="false"/>
		</c:when>
		<c:when test="${param.akce == 'prihlaseni'}">
			<jsp:include page="/WEB-INF/casti/prihlaseni.jsp" flush="false"/>
		</c:when>
		<c:when test="${param.akce == 'odeslatKomentar'}">
			<jsp:include page="/WEB-INF/casti/odeslatKomentar.jsp" flush="false"/>
		</c:when>
		<c:otherwise>
			<jsp:include page="/WEB-INF/casti/uvod.jsp" flush="false"/>
		</c:otherwise>
	</c:choose>
	<!-- </výběrStránky> -->

</jsp:root>
