package cz.frantovo.nekurak.ws;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebService;
import javax.jws.soap.SOAPBinding;

/**
 *
 * Jedinou povinnou anotací je zde @WebService – ostatní nejsou nutné 
 * a slouží k například k upřesnění názvu WS operace (pokud se má jmenovat jinak než metoda v Javě)
 * nebo k definování názvů parametrů.
 *
 * @author fiki
 */
@WebService(serviceName = "pokusnaSluzba", targetNamespace = "pokusNS", portName = "pokusnyPort")
@SOAPBinding(style = SOAPBinding.Style.RPC, use = SOAPBinding.Use.ENCODED)
public class Pokus {

	/**
	 * Pozdraví osobu
	 * @param koho jméno osoby v pátém pádě
	 * @return věta – pozdrav
	 */
	@WebMethod(operationName = "pozdravOsobu")
	public String pozdrav(@WebParam(name = "jmenoOsoby") String koho) {
		return "Ahoj, " + koho + "!";
	}
}
